failed install on Opensuse 13.1/64bit

Deploying to Linux? Get penguinated here.

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller, robinmiller

failed install on Opensuse 13.1/64bit

Postby darx » Sat Nov 01, 2014 6:00 pm

I'm attempting to install LiveCode on Opensuse 13.1/64

DL'd & set executable

Code: Select all
   ls -al LiveCodeCommunityInstaller-7_0_0-Linux.x86
      -rwxr-xr-x+ 1 darx 152M Nov  1 09:01 LiveCodeCommunityInstaller-7_0_0-Linux.x86*

but on exec

Code: Select all
   ./LiveCodeCommunityInstaller-7_0_0-Linux.x86
      (null) exiting on signal 11


here are my current prereqs

> The linux engine requires the following:
> • 32-bit installation, or a 64-bit linux distribution that has a 32-bit compatibility layer

Code: Select all
lsb_release -a
   LSB Version:    core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:core-2.0-x86_64:core-3.2-x86_64:core-4.0-x86_64:desktop-4.0-amd64:desktop-4.0-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch
   Distributor ID: openSUSE project
   Description:    openSUSE 13.1 (Bottle) (x86_64)
   Release:        13.1
   Codename:       Bottle

rpm -qa | grep 32bit | sort
   alsa-oss-32bit-1.0.28-51.1.x86_64
   at-spi-32bit-1.32.0-28.1.3.x86_64
   cups-libs-32bit-1.5.4-159.1.x86_64
   cyrus-sasl-32bit-2.1.25-28.1.2.x86_64
   fontconfig-32bit-2.11.1-140.1.x86_64
   freetype2-devel-32bit-2.5.3-93.1.x86_64
   gdk-pixbuf-query-loaders-32bit-2.30.8-1.5.x86_64
   glib2-tools-32bit-2.40.1-1.1.x86_64
   glib-32bit-1.2.10-1.7.x86_64
   glibc-32bit-2.18-4.21.1.x86_64
   glibc-devel-static-32bit-2.18-4.21.1.x86_64
   glibc-utils-32bit-2.18-4.21.1.x86_64
   gmp-devel-32bit-6.0.0-66.1.x86_64
   gnome-keyring-pam-32bit-3.12.2-1.11.x86_64
   gtk2-engine-murrine-32bit-0.98.2-6.1.3.x86_64
   gtk2-tools-32bit-2.24.24-1.13.x86_64
   gtk-32bit-1.2.10-1.10.x86_64
   krb5-32bit-1.12.2-153.3.x86_64
   libacl1-32bit-2.2.52-2.1.2.x86_64
   libapparmor1-32bit-2.8.2-4.13.1.x86_64
   libasound2-32bit-1.0.28-201.1.x86_64
   libatk-1_0-0-32bit-2.12.0-1.2.x86_64
   libattr1-32bit-2.4.47-2.1.2.x86_64
   libattr-devel-32bit-2.4.47-2.1.2.x86_64
   libaudit1-32bit-2.2.3-4.1.2.x86_64
   libbonobo-32bit-2.32.1-12.1.3.x86_64
   libcairo2-32bit-1.12.16-3.4.1.x86_64
   libcanberra0-32bit-0.30-6.1.3.x86_64
   libcanberra-gtk0-32bit-0.30-6.1.3.x86_64
   libcanberra-gtk2-module-32bit-0.30-6.1.3.x86_64
   libcap2-32bit-2.22-10.1.24.x86_64
   libcom_err2-32bit-1.42.8-2.1.2.x86_64
   libcrack2-32bit-2.9.0-2.1.2.x86_64
   libcurl4-32bit-7.32.0-2.31.1.x86_64
   libdb-4_8-32bit-4.8.30-25.2.1.x86_64
   libdbus-1-3-32bit-1.8.8-204.1.x86_64
   libdcerpc0-32bit-4.1.13-2.2.x86_64
   libdcerpc-binding0-32bit-4.1.13-2.2.x86_64
   libdrm2-32bit-2.4.46-3.2.2.x86_64
   libdrm_intel1-32bit-2.4.46-3.2.2.x86_64
   libdrm_nouveau2-32bit-2.4.46-3.2.2.x86_64
   libdrm_radeon1-32bit-2.4.46-3.2.2.x86_64
   libelf1-32bit-0.155-6.4.1.x86_64
   libexpat1-32bit-2.1.0-12.1.2.x86_64
   libffi4-32bit-4.8.3+r212056-135.1.x86_64
   libFLAC8-32bit-1.3.0-207.2.x86_64
   libfreebl3-32bit-3.17.2-1.1.x86_64
   libfreetype6-32bit-2.5.3-93.1.x86_64
   libgbm1-32bit-9.2.3-61.9.1.x86_64
   libgcc_s1-gcc49-32bit-4.9.2+r216911-50.1.x86_64
   libgcrypt11-32bit-1.5.4-2.4.1.x86_64
   libgdk_pixbuf-2_0-0-32bit-2.30.8-1.5.x86_64
   libgensec0-32bit-4.1.13-2.2.x86_64
   libgio-2_0-0-32bit-2.40.1-1.1.x86_64
   libglib-2_0-0-32bit-2.40.1-1.1.x86_64
   libgmodule-2_0-0-32bit-2.40.1-1.1.x86_64
   libgmp10-32bit-6.0.0-66.1.x86_64
   libgmpxx4-32bit-6.0.0-66.1.x86_64
   libgobject-2_0-0-32bit-2.40.1-1.1.x86_64
   libgpg-error0-32bit-1.12-2.1.4.x86_64
   libgraphite2-3-32bit-1.2.4-25.1.x86_64
   libgthread-2_0-0-32bit-2.40.1-1.1.x86_64
   libgtk-2_0-0-32bit-2.24.24-1.13.x86_64
   libharfbuzz0-32bit-0.9.26-1.7.x86_64
   libIDL-2-0-32bit-0.8.14-18.1.3.x86_64
   libidn11-32bit-1.25-7.1.2.x86_64
   libisc95-32bit-9.9.5P1-161.2.x86_64
   libjasper1-32bit-1.900.1-160.1.2.x86_64
   libjbig2-32bit-2.1-26.1.x86_64
   libjpeg8-32bit-8.0.2-78.1.x86_64
   libjson0-32bit-0.10-3.4.1.x86_64
   libkeyutils1-32bit-1.5.9-44.3.x86_64
   libldap-2_4-2-32bit-2.4.39-148.1.x86_64
   libldb1-32bit-1.1.17-64.1.x86_64
   libLLVM-32bit-3.5.0-394.2.x86_64
   libltdl7-32bit-2.4.2-11.1.2.x86_64
   liblzma5-32bit-5.0.7-85.3.x86_64
   libncurses5-32bit-5.9-33.1.2.x86_64
   libndr0-32bit-4.1.13-2.2.x86_64
   libndr-krb5pac0-32bit-4.1.13-2.2.x86_64
   libndr-nbt0-32bit-4.1.13-2.2.x86_64
   libndr-standard0-32bit-4.1.13-2.2.x86_64
   libnetapi0-32bit-4.1.13-2.2.x86_64
   libogg0-32bit-1.3.1-32.1.x86_64
   libopenssl1_0_0-32bit-1.0.1j-11.56.1.x86_64
   libpango-1_0-0-32bit-1.36.3-1.8.x86_64
   libpciaccess0-32bit-0.13.2-2.1.2.x86_64
   libpcre1-32bit-8.33-2.1.2.x86_64
   libpdb0-32bit-4.1.13-2.2.x86_64
   libpixman-1-0-32bit-0.30.2-2.5.1.x86_64
   libpng16-16-32bit-1.6.6-12.1.x86_64
   libpopt0-32bit-1.16-24.1.1.x86_64
   libpulse0-32bit-5.0-5.2.x86_64
   libpython2_7-1_0-32bit-2.7.6-8.18.1.x86_64
   libsamba-credentials0-32bit-4.1.13-2.2.x86_64
   libsamba-hostconfig0-32bit-4.1.13-2.2.x86_64
   libsamba-util0-32bit-4.1.13-2.2.x86_64
   libsamdb0-32bit-4.1.13-2.2.x86_64
   libselinux1-32bit-2.1.13-4.1.21.x86_64
   libsmbclient-raw0-32bit-4.1.13-2.2.x86_64
   libsmbconf0-32bit-4.1.13-2.2.x86_64
   libsmbldap0-32bit-4.1.13-2.2.x86_64
   libsndfile1-32bit-1.0.25-61.1.x86_64
   libsoftokn3-32bit-3.17.2-1.1.x86_64
   libspeex1-32bit-1.1.999_1.2rc1-37.2.x86_64
   libsqlite3-0-32bit-3.8.7.1-112.1.x86_64
   libssh2-1-32bit-1.4.3-7.1.2.x86_64
   libstdc++6-32bit-4.8.3+r212056-135.1.x86_64
   libtalloc2-32bit-2.1.1-47.1.x86_64
   libtdb1-32bit-1.3.1-68.1.x86_64
   libtevent0-32bit-0.9.22-47.1.x86_64
   libtevent-util0-32bit-4.1.13-2.2.x86_64
   libtiff5-32bit-4.0.3-8.1.2.x86_64
   libudev1-32bit-210-873.1.x86_64
   libvorbis0-32bit-1.3.4-52.1.x86_64
   libvorbisenc2-32bit-1.3.4-52.1.x86_64
   libvorbisfile3-32bit-1.3.4-52.1.x86_64
   libvpx1-32bit-1.3.0-11.1.x86_64
   libwayland-client0-32bit-1.2.1-1.1.x86_64
   libwayland-server0-32bit-1.2.1-1.1.x86_64
   libwbclient0-32bit-4.1.13-2.2.x86_64
   libwmf-0_2-7-32bit-0.2.8.4-234.1.3.x86_64
   libwmf-gnome-32bit-0.2.8.4-234.1.3.x86_64
   libX11-6-32bit-1.6.2-2.1.2.x86_64
   libX11-xcb1-32bit-1.6.2-2.1.2.x86_64
   libXau6-32bit-1.0.8-2.2.1.x86_64
   libxcb1-32bit-1.9.1-3.1.2.x86_64
   libxcb-dri2-0-32bit-1.9.1-3.1.2.x86_64
   libxcb-glx0-32bit-1.9.1-3.1.2.x86_64
   libxcb-render0-32bit-1.9.1-3.1.2.x86_64
   libxcb-shm0-32bit-1.9.1-3.1.2.x86_64
   libxcb-xfixes0-32bit-1.9.1-3.1.2.x86_64
   libXcomposite1-32bit-0.4.4-6.1.2.x86_64
   libXcursor1-32bit-1.1.14-2.1.2.x86_64
   libXdamage1-32bit-1.1.4-6.1.2.x86_64
   libXext6-32bit-1.3.2-2.1.2.x86_64
   libXfixes3-32bit-5.0.1-2.1.2.x86_64
   libXft2-32bit-2.3.1-7.1.2.x86_64
   libXi6-32bit-1.7.2-2.1.2.x86_64
   libXinerama1-32bit-1.1.3-2.1.2.x86_64
   libxml2-2-32bit-2.9.1-2.16.1.x86_64
   libXrandr2-32bit-1.4.2-2.1.2.x86_64
   libXrender1-32bit-0.9.8-2.1.2.x86_64
   libXxf86vm1-32bit-1.1.3-2.1.2.x86_64
   libz1-32bit-1.2.8-3.1.2.x86_64
   Mesa-32bit-9.2.3-61.9.1.x86_64
   Mesa-libEGL1-32bit-9.2.3-61.9.1.x86_64
   Mesa-libGL1-32bit-9.2.3-61.9.1.x86_64
   Mesa-libglapi0-32bit-9.2.3-61.9.1.x86_64
   mozilla-nspr-32bit-4.10.7-1.1.x86_64
   mozilla-nss-32bit-3.17.2-1.1.x86_64
   mozilla-nss-certs-32bit-3.17.2-1.1.x86_64
   opie-32bit-2.4-723.1.2.x86_64
   orbit2-32bit-2.14.19-15.1.3.x86_64
   pam-32bit-1.1.8-6.1.x86_64
   pam_apparmor-32bit-2.8.2-4.13.1.x86_64
   pam-modules-32bit-12.1-20.1.2.x86_64
   pam_pkcs11-32bit-0.6.8-4.1.1.x86_64
   pango-tools-32bit-1.36.3-1.8.x86_64
   pytalloc-32bit-2.1.1-47.1.x86_64
   qtcurve-gtk2-32bit-1.8.16-2.8.1.x86_64
   samba-32bit-4.1.13-2.2.x86_64
   samba-libs-32bit-4.1.13-2.2.x86_64
   systemd-32bit-210-873.1.x86_64
   zlib-devel-32bit-1.2.8-3.1.2.x86_64
   zlib-devel-static-32bit-1.2.8-3.1.2.x86_64

> • 2.4.x or later kernel

Code: Select all
uname -a
   Linux dark 3.17.1-3.gd944251-desktop #1 SMP PREEMPT Wed Oct 29 13:26:06 UTC 2014 (d944251) x86_64 x86_64 x86_64 GNU/Linux

> • X11R5 capable Xserver running locally on a 24-bit display

Code: Select all
rpm -qa | grep -i xorg-x11 | sort
   xorg-x11-7.6_1-11.3.1.noarch
   xorg-x11-devel-7.6-42.1.2.noarch
   xorg-x11-driver-input-7.6_1-7.1.2.noarch
   xorg-x11-driver-video-7.6_1-11.1.2.x86_64
   xorg-x11-essentials-7.6_1-11.3.1.noarch
   xorg-x11-fonts-7.6-27.1.2.noarch
   xorg-x11-fonts-core-7.6-27.1.2.noarch
   xorg-x11-libs-7.6-42.1.2.noarch
   xorg-x11-libX11-ccache-7.6-17.1.2.noarch
   xorg-x11-proto-devel-7.6-43.1.3.x86_64
   xorg-x11-server-7.6_1.14.3.901-8.1.x86_64
   xorg-x11-server-extra-7.6_1.14.3.901-8.1.x86_64
   xorg-x11-util-devel-7.6_1-6.1.2.noarch
   xorg-x11-Xvnc-7.6_1.0.1-15.1.3.x86_64

> • glibc 2.3.2 or later

Code: Select all
rpm -qa | grep -i glibc | sort
   cross-i586-glibc-2.18-1.11.noarch
   cross-i586-glibc-devel-2.18-1.11.noarch
   cross-x86_64-glibc-2.18-1.11.noarch
   cross-x86_64-glibc-devel-2.18-1.11.noarch
   glibc-2.18-4.21.1.x86_64
   glibc-32bit-2.18-4.21.1.x86_64
   glibc-devel-2.18-4.21.1.x86_64
   glibc-devel-static-2.18-4.21.1.x86_64
   glibc-devel-static-32bit-2.18-4.21.1.x86_64
   glibc-extra-2.18-4.21.1.x86_64
   glibc-i18ndata-2.18-4.21.1.noarch
   glibc-info-2.18-4.21.1.noarch
   glibc-locale-2.18-4.21.1.x86_64
   glibc-utils-2.18-4.21.1.x86_64
   glibc-utils-32bit-2.18-4.21.1.x86_64
   linux-glibc-devel-3.11-2.1.15.noarch

> • gtk/gdk/glib (optional – required for native theme support)
> • pango/xft (optional – required for pdf printing, anti-aliased text and unicode font support)
> • lcms (optional – required for color profile support in JPEGs and PNGs)
> • gksu (optional – required for elevate process support)

What's missing?
darx
 
Posts: 1
Joined: Sat Nov 01, 2014 5:42 pm

Re: failed install on Opensuse 13.1/64bit

Postby wsamples » Sat Nov 01, 2014 6:44 pm

Maybe it would be easier to install 64bit LiveCode since you want to use LC 7.

Regarding missing libs and such, you may get helpful information by running the installer from the command line and/or running 'ldd /path/to/installer'.

I've been running LiveCode under openSUSE for a long time - through several versions of each - without encountering too many issues.

Good luck!
wsamples
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 190
Joined: Mon May 18, 2009 4:12 am

Re: failed install on Opensuse 13.1/64bit

Postby MaxV » Fri Nov 14, 2014 8:59 am

Livecode Wiki: http://livecode.wikia.com
My blog: http://livecodeitalia.blogspot.it
To post code use this: http://tinyurl.com/ogp6d5w
MaxV
 
Posts: 1282
Joined: Tue May 28, 2013 2:20 pm
Location: Italy


Return to Linux

Who is online

Users browsing this forum: No registered users and 2 guests